## libVES


Simple, safe and secure e2e encryption for data at-rest.


https://VESvault.com

https://VES.host


; Instantiate libVES

var VES = new libVES({domain: 'x-myapp'});


; Authorize with VES in the same browser window

VES.flow(true).then(....)


; Or, authorize in a popup window

VES.delegate().then(....)


; Store an e2e encrypted value

VES.putValue('item-id', 'value')


; Store a value and e2e share with other VES accounts

VES.putValue('item-id', 'value', [{externalId: 'me@acme.com'}, {externalId: 'user1@acme.com'}, {externalId: 'user2@acme.com'}])


; Retrieve a previously stored value

VES.getValue('item-id').then(function(value) { .... })


See https://demo.ves.world


Full API Docs:

https://ves.host/docs/libVES
